org.apache.felix.ipojo.handlers.configuration

## Class ConfigurationHandlerDescription

- java.lang.Object
- - org.apache.felix.ipojo.architecture.HandlerDescription
  - - org.apache.felix.ipojo.handlers.configuration.ConfigurationHandlerDescription

    public class ConfigurationHandlerDescription
    extends HandlerDescription

Configuration handler description.

Author:
  Felix Project Team

### Constructor Summary

Constructors
Constructor and Description
`ConfigurationHandlerDescription(ConfigurationHandler handler, java.util.List props, java.lang.String pid)` Creates the description object for the configuration handler description.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addListener(ConfigurationListener listener)` Add the given listener to the configuration handler's list of listeners.
`org.apache.felix.ipojo.metadata.Element` `getHandlerInfo()` The handler information.
`java.lang.String` `getManagedServicePid()` Gets the managed service pid.
`PropertyDescription[]` `getProperties()` Gets the properties.
`PropertyDescription` `getPropertyByName(java.lang.String name)` Gets a property by name.
`void` `removeListener(ConfigurationListener listener)` Remove the given listener from the configuration handler's list of listeners.

### Methods inherited from class org.apache.felix.ipojo.architecture.HandlerDescription

`getHandlerName, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigurationHandlerDescription

    public ConfigurationHandlerDescription(ConfigurationHandler handler,
                                           java.util.List props,
                                           java.lang.String pid)

Creates the description object for the configuration handler description.

Parameters:
  `handler` - the configuration handler.
  `props` - the list of properties.
  `pid` - the managed service pid or `null` if not set.

### Method Detail

#### getHandlerInfo

    public org.apache.felix.ipojo.metadata.Element getHandlerInfo()

The handler information.

Overrides:
  `getHandlerInfo` in class `HandlerDescription`
Returns:
  the handler description.
See Also:
  `HandlerDescription.getHandlerInfo()`

#### getProperties

    public PropertyDescription[] getProperties()

Gets the properties.

Returns:
  the property set.

#### getPropertyByName

    public PropertyDescription getPropertyByName(java.lang.String name)

Gets a property by name.

Parameters:
  `name` - the property name
Returns:
  the property description with the given name, `null` if there is no property with the given name.
Since:
  1.11.0

#### getManagedServicePid

    public java.lang.String getManagedServicePid()

Gets the managed service pid.

Returns:
  the managed service pid of `null` if not set.

#### addListener

    public void addListener(ConfigurationListener listener)

Add the given listener to the configuration handler's list of listeners.

Parameters:
  `listener` - the `ConfigurationListener` object to be added
Throws:
  `java.lang.NullPointerException` - if `listener` is `null`

#### removeListener

    public void removeListener(ConfigurationListener listener)

Remove the given listener from the configuration handler's list of listeners.

Parameters:
  `listener` - the `ConfigurationListener` object to be removed
Throws:
  `java.lang.NullPointerException` - if `listener` is `null`
  `java.util.NoSuchElementException` - if `listener` wasn't present the in configuration handler's list of listeners